RPM Community Forums

Mailing List Message of <rpm-users>

problem running rpm and rpmbuild

From: kunal ghosh <kunal.t2@gmail.com>
Date: Sun 02 Jan 2011 - 08:52:01 CET
Message-ID: <AANLkTink29uW6=s16Yv-C_V-ESO44GwZ4OdH70piRf9X@mail.gmail.com>
when i run rpmbuild / rpm i get the following error.

kunal@openindiana:new2TB/BELENIX_WORK]$ rpmbuild
ld.so.1: rpmbuild: fatal: libgcc_s.so.1: version 'GCC_4.2.0' not found
(required by file /usr/lib/libstdc++.so.6)
ld.so.1: rpmbuild: fatal: libgcc_s.so.1: open failed: No such file or directory
[1]    4772 killed     rpmbuild
[kunal@openindiana:new2TB/BELENIX_WORK]$ rpm
ld.so.1: rpm: fatal: libgcc_s.so.1: version 'GCC_4.2.0' not found
(required by file /usr/lib/libstdc++.so.6)
ld.so.1: rpm: fatal: libgcc_s.so.1: open failed: No such file or directory
[1]    4773 killed     rpm


Is it that i have a different version of gcc and
libstdc++ for gcc of a difference version ?

If not, how can i resolve this problem ?

I am trying to build rpm on OpenIndiana (OpenSolaris Fork).

-- 
regards
-------
Kunal Ghosh
Dept of Computer Sc. & Engineering.
Sir MVIT
Bangalore,India

www.belenix.org
permalink: member.acm.org/~kunal.t2
Blog:kunalghosh.wordpress.com
Website:www.kunalghosh.net46.net
Received on Sun Jan 2 09:24:28 2011
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.